﻿using LawFirmDataModels.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace LawFirmContracts.BindingModels
{
    public class ShopBindingModel : IShopModel
    {
        public string ShopName { get; set; } = string.Empty;
        public string Address { get; set; } = string.Empty;
        public DateTime DateOpen { get; set; } = DateTime.Now;
		public int Capacity { get; set; }
		public Dictionary<int, (IDocumentModel, int)> ShopDocuments { get; set; } = new();
        public int Id { get; set; }
    }
}
