﻿using LawFirmDataModels.Models;
using System.ComponentModel;

namespace LawFirmContracts.ViewModels
{
    public class DocumentViewModel : IDocumentModel
    {
        public int Id { get; set; }
        [DisplayName("Название документа")]
        public string DocumentName { get; set; } = string.Empty;
        [DisplayName("Цена")]
        public double Price { get; set; }       
        public Dictionary<int, (IBlankModel, int)> DocumentBlanks{
            get;
            set;
        } = new ();
    }
}
