﻿using LawFirmContracts.BindingModels;
using LawFirmContracts.SearchModels;
using LawFirmContracts.ViewModels;

namespace LawFirmContracts.StoragesContracts
{
    public interface IBlankStorage
    {
        List<BlankViewModel> GetFullList();
        List<BlankViewModel> GetFilteredList(BlankSearchModel model);
        BlankViewModel? GetElement(BlankSearchModel model);
        BlankViewModel? Insert(BlankBindingModel model);
        BlankViewModel? Update(BlankBindingModel model);
        BlankViewModel? Delete(BlankBindingModel model);
    }
}
