﻿using LawFirmContracts.BindingModels;
using LawFirmContracts.SearchModels;
using LawFirmContracts.ViewModels;

namespace LawFirmContracts.StoragesContracts
{
    public interface IDocumentStorage
    {
        List<DocumentViewModel> GetFullList();
        List<DocumentViewModel> GetFilteredList(DocumentSearchModel model);
        DocumentViewModel? GetElement(DocumentSearchModel model);
        DocumentViewModel? Insert(DocumentBindingModel model);
        DocumentViewModel? Update(DocumentBindingModel model);
        DocumentViewModel? Delete(DocumentBindingModel model);
    }

}
